#!/usr/bin/env python

from twisted.internet import reactor
from twisted.web.client import downloadPage, getPage
import sys

def success (m):
    sys.stdout.write(m)
    reactor.stop ()

def fail (m):
    success ("err: " + str (m))
    

deferred = getPage ('http://www.cdn.com.tw/welcome.htm')
deferred.addCallback (success)
deferred.addErrback (fail)
reactor.run ()
